com.holonplatform.vaadin.flow.components.builders

## Interface InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>

- Type Parameters:
    `G` - Group type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,Input<?>,G,C>, InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,G,C>
  All Known Subinterfaces:
    PropertyInputFormBuilder<C>, PropertyInputFormConfigurator<C,B>, PropertyInputGroupBuilder, PropertyInputGroupConfigurator<C>, PropertyListingBuilder, PropertyListingBuilder.DatastorePropertyListingBuilder, PropertyListingBuilder.DatastorePropertyListingConfigurator, PropertyListingConfigurator<C>
  Enclosing interface:
    InputGroupConfigurator<P,T,G extends BoundComponentGroup<P,Input<?>>,C extends InputGroupConfigurator<P,T,G,C>>

      public static interface InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>
      extends InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,G,C>

  An `InputGroupConfigurator` bound to a `Property` set.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> C` | `defaultValue(com.holonplatform.core.property.Property<V> property, Supplier<V> defaultValueProvider)` Set the default value provider for given `property`.
    `<V> C` | `withValidator(com.holonplatform.core.property.Property<V> property, com.holonplatform.core.Validator<? super V> validator)` Adds a `Validator` to the `Input` bound to given `property`.
    `<V> C` | `withValueChangeListener(com.holonplatform.core.property.Property<V> property, ValueHolder.ValueChangeListener<V,GroupValueChangeEvent<V,com.holonplatform.core.property.Property<?>,Input<?>,G>> listener)` Add a `ValueHolder.ValueChangeListener` to the `Input` bound to given `property`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

- - ### Method Detail

    - #### defaultValue

          <V> C defaultValue(com.holonplatform.core.property.Property<V> property,
                             Supplier<V> defaultValueProvider)

      Set the default value provider for given `property`.
      Type Parameters:
        `V` - Property type
      Parameters:
        `property` - Property (not null)
        `defaultValueProvider` - The property default value supplier (not null)
      Returns:
        this

    - #### withValueChangeListener

          <V> C withValueChangeListener(com.holonplatform.core.property.Property<V> property,
                                        ValueHolder.ValueChangeListener<V,GroupValueChangeEvent<V,com.holonplatform.core.property.Property<?>,Input<?>,G>> listener)

      Add a `ValueHolder.ValueChangeListener` to the `Input` bound to given `property`.
      Type Parameters:
        `V` - Property type
      Parameters:
        `property` - The property (not null)
        `listener` - The ValueChangeListener to add (not null)
      Returns:
        this

    - #### withValidator

          <V> C withValidator(com.holonplatform.core.property.Property<V> property,
                              com.holonplatform.core.Validator<? super V> validator)

      Adds a `Validator` to the `Input` bound to given `property`.
      Type Parameters:
        `V` - Property type
      Parameters:
        `property` - The property (not null)
        `validator` - The validator to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.